V2TBSCertListGenerator (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509

## Class V2TBSCertListGenerator

- java.lang.Object
- - org.bouncycastle.asn1.x509.V2TBSCertListGenerator

-     public class V2TBSCertListGenerator
      extends java.lang.Object

  Generator for Version 2 TBSCertList structures.

        TBSCertList  ::=  SEQUENCE  {
             version                 Version OPTIONAL,
                                          -- if present, shall be v2
             signature               AlgorithmIdentifier,
             issuer                  Name,
             thisUpdate              Time,
             nextUpdate              Time OPTIONAL,
             revokedCertificates     SEQUENCE OF SEQUENCE  {
                  userCertificate         CertificateSerialNumber,
                  revocationDate          Time,
                  crlEntryExtensions      Extensions OPTIONAL
                                                -- if present, shall be v2
                                       }  OPTIONAL,
             crlExtensions           [0]  EXPLICIT Extensions OPTIONAL
                                                -- if present, shall be v2
                                       }

  Note: This class may be subject to change

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `V2TBSCertListGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCRLEntry(ASN1Integer userCertificate, ASN1UTCTime revocationDate, int reason)`
    `void` | `addCRLEntry(ASN1Integer userCertificate, Time revocationDate, Extensions extensions)`
    `void` | `addCRLEntry(ASN1Integer userCertificate, Time revocationDate, int reason)`
    `void` | `addCRLEntry(ASN1Integer userCertificate, Time revocationDate, int reason, ASN1GeneralizedTime invalidityDate)`
    `void` | `addCRLEntry(ASN1Sequence crlEntry)`
    `ASN1Sequence` | `generatePreTBSCertList()`
    `TBSCertList` | `generateTBSCertList()`
    `void` | `setExtensions(Extensions extensions)`
    `void` | `setExtensions(X509Extensions extensions)` Deprecated. use the method taking Extensions
    `void` | `setIssuer(X500Name issuer)`
    `void` | `setIssuer(X509Name issuer)` Deprecated. use X500Name method
    `void` | `setNextUpdate(ASN1UTCTime nextUpdate)`
    `void` | `setNextUpdate(Time nextUpdate)`
    `void` | `setSignature(AlgorithmIdentifier signature)`
    `void` | `setThisUpdate(ASN1UTCTime thisUpdate)`
    `void` | `setThisUpdate(Time thisUpdate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### V2TBSCertListGenerator

          public V2TBSCertListGenerator()

  - ### Method Detail

    - #### setSignature

          public void setSignature(AlgorithmIdentifier signature)

    - #### setIssuer

          public void setIssuer(X509Name issuer)

      Deprecated. use X500Name method

    - #### setIssuer

          public void setIssuer(X500Name issuer)

    - #### setThisUpdate

          public void setThisUpdate(ASN1UTCTime thisUpdate)

    - #### setNextUpdate

          public void setNextUpdate(ASN1UTCTime nextUpdate)

    - #### setThisUpdate

          public void setThisUpdate(Time thisUpdate)

    - #### setNextUpdate

          public void setNextUpdate(Time nextUpdate)

    - #### addCRLEntry

          public void addCRLEntry(ASN1Sequence crlEntry)

    - #### addCRLEntry

          public void addCRLEntry(ASN1Integer userCertificate,
                                  ASN1UTCTime revocationDate,
                                  int reason)

    - #### addCRLEntry

          public void addCRLEntry(ASN1Integer userCertificate,
                                  Time revocationDate,
                                  int reason)

    - #### addCRLEntry

          public void addCRLEntry(ASN1Integer userCertificate,
                                  Time revocationDate,
                                  int reason,
                                  ASN1GeneralizedTime invalidityDate)

    - #### addCRLEntry

          public void addCRLEntry(ASN1Integer userCertificate,
                                  Time revocationDate,
                                  Extensions extensions)

    - #### setExtensions

          @Deprecated
          public void setExtensions(X509Extensions extensions)

      Deprecated. use the method taking Extensions

    - #### setExtensions

          public void setExtensions(Extensions extensions)

    - #### generateTBSCertList

          public TBSCertList generateTBSCertList()

    - #### generatePreTBSCertList

          public ASN1Sequence generatePreTBSCertList()